stages:
  - test

unit-test:
  stage: test
  script:
    - cd "./Blazor TicTacToe"
    - echo "Restoring NuGet Packages..."
    - curl -o "./nuget.exe" "https://dist.nuget.org/win-x86-commandline/latest/nuget.exe"
    - ./nuget.exe restore "Blazor TicTacToe.sln"
    - echo "Installing .NET SDK..."
    - curl -o "./dotnet-install.ps1" "https://dot.net/v1/dotnet-install.ps1"
    - ./dotnet-install.ps1 -Channel STS
    - echo "Running Unit Tests..."
    - cd "Blazor TictacToe Tests"
    - dotnet test